Bug 122436 - Config files overwritten
Config files overwritten
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Red Hat Satellite QA List
:
Depends On:
Blocks: up2date-rhel2.1-u6
  Show dependency treegraph
 
Reported: 2004-05-04 10:53 EDT by Timothy Toedebusch
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 11:14:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Toedebusch 2004-05-04 10:53:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
If a rpm package that modifies a config file, it does not diff the 
existing config file with the new config file and add any 
modifications to the new config file.  
The initscripts package was just updated and instead of taking any 
added content out of the current /etc/rc.d/rc.sysinit file and 
putting it into the new /etc/rc.d/rc.sysinit file, it just copies it 
over to *.rpmsave and puts the new file in place.  This broke Veritas 
as their are a few lines Veritas puts in this file to start Veritas.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run up2date
2. choose to install a package where config files will be modified or 
replaced.
3. diff old config file and new config file
    

Expected Results:  when a package that changes or replaces config 
files, a diff should be ran on the current file and the new file and 
any difference should be added to the new file.  This will allow for 
a more automated update.

Additional info:
Comment 1 Adrian Likins 2004-05-07 13:53:43 EDT
By default config up2date should warn you about packages that
have modified config files that the new package might not
understand. The cases where this is triggered is the


        file in question is marked as a config file (which
/etc/rc.d/sysinit is), 
              and
        file in question has been modified from original
              and
        the version of the file in the old package and the
        version of the file in the new package are different.

If -f/--force is used, or "noReplaceConfig=0", then up2date
will install the new package anyway. Same behaviour if the
package shows up in the "skipped packages" screen with the
reason listed as a modified config. 

Comment 2 Todd Warner 2006-03-06 11:14:03 EST
I am closing this as WONTFIX. The way config files are handled is fundamental to
the way RPM works. Improving RPM in such a way is huge and complex... but is on
the table in discussions for the future.

CLOSING:WONTFIX

Note You need to log in before you can comment on or make changes to this bug.